Hooks:PostHook( WeaponFactoryTweakData, "init", "MSMCModInit", function(self)

	self.parts.wpn_fps_smg_msmc_irons.stance_mod = {
		wpn_fps_smg_msmc = {
			translation = Vector3(0, 0, 0),
			rotation = Rotation(0, 0, 0)
		}
	}
	
	self.parts.wpn_fps_smg_msmc_a_minsas.has_description = true
	self.parts.wpn_fps_smg_msmc_a_minsas.custom_stats = {
		armor_piercing_add = 0.8,
		can_shoot_through_enemy = true, 
		can_shoot_through_shield = false, 
		can_shoot_through_wall = false,
	}
	
	self.parts.wpn_fps_smg_msmc_receiver.forbids = {"wpn_fps_upg_vg_ass_smg_stubby"}
	
	self.parts.wpn_fps_smg_msmc_m_fast.adds = {"wpn_fps_smg_msmc_m_magpul"}
	
	self.parts.wpn_fps_smg_msmc_fl_dbal.has_description = true
	self.parts.wpn_fps_smg_msmc_fl_dbal.desc_id = "bm_wp_wpn_fps_smg_msmc_fl_dbal_desc"
	self.parts.wpn_fps_smg_msmc_fl_dbal.perks = {"gadget"}
	self.parts.wpn_fps_smg_msmc_fl_dbal.forbids = {"wpn_fps_addon_ris"}
	
	self.parts.wpn_fps_smg_msmc_a_minsas.override = {
		wpn_fps_smg_msmc_receiver = { unit = "units/mods/weapons/wpn_fps_smg_msmc_pts/wpn_fps_smg_msmc_receiver2"}
	}
	
	
	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_smg_msmc = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
end )